Loading...
Searching...
No Matches
BALL::Pair6_12InteractionEnergyProcessor Class Reference
Molecular Modeling » Solvation methods

`#include <BALL/SOLVATION/pair6_12InteractionEnergyProcessor.h>`

Inheritance diagram for BALL::Pair6_12InteractionEnergyProcessor:

## Classes

struct | Option
struct | Default

## Public Types

enum | SurfaceType { SURFACE__UNKNOWN = 0 , SURFACE__SAS = 1 , SURFACE__SES = 2 , SURFACE__EXTERNAL = 3 }
Public Types inherited from BALL::UnaryFunctor< ArgumentType, ResultType >
typedef ResultType | result_type
typedef ArgumentType | argument_type
typedef ArgumentType & | argument_reference
typedef const ArgumentType & | const_argument_reference
typedef ArgumentType * | argument_pointer
typedef const ArgumentType * | const_argument_pointer

## Public Member Functions

Constructors and destructors
| Pair6_12InteractionEnergyProcessor ()
| Pair6_12InteractionEnergyProcessor (const Pair6_12InteractionEnergyProcessor &proc)
| Pair6_12InteractionEnergyProcessor (const SolventDescriptor &solvent, const RDFParameter &rdf_param, const Pair6_12RDFIntegrator &rdf_integrator)
virtual | ~Pair6_12InteractionEnergyProcessor ()
Accessors
void | setSolventDescriptor (const SolventDescriptor &solvent)
const SolventDescriptor & | getSolventDescriptor () const
void | setRDFParameters (const RDFParameter &rdf_parameter)
const RDFParameter & | getRDFParameter () const
void | setRDFIntegrator (const Pair6_12RDFIntegrator &integrator)
const Pair6_12RDFIntegrator & | getRDFIntegrator () const
Assignment
const Pair6_12InteractionEnergyProcessor & | operator= (const Pair6_12InteractionEnergyProcessor &proc)
virtual void | clear ()
Processor functions
virtual bool | finish ()
Public Member Functions inherited from BALL::EnergyProcessor
| EnergyProcessor ()
| EnergyProcessor (const EnergyProcessor &proc)
virtual | ~EnergyProcessor ()
const EnergyProcessor & | operator= (const EnergyProcessor &proc)
virtual bool | start ()
virtual Processor::Result | operator() (AtomContainer &fragment)
double | getEnergy () const
bool | isValid () const
bool | operator== (const EnergyProcessor &proc) const
Public Member Functions inherited from BALL::UnaryProcessor< AtomContainer >
| UnaryProcessor ()
| UnaryProcessor (const UnaryProcessor &)
virtual | ~UnaryProcessor ()

## Public Attributes

Options
Options | options

## Predicates

SolventDescriptor | solvent_
RDFParameter | rdf_parameter_
Pair6_12RDFIntegrator | rdf_integrator_
bool | operator== (const Pair6_12InteractionEnergyProcessor &proc) const

## Additional Inherited Members

const AtomContainer * | fragment_
double | energy_
bool | valid_

## Detailed Description

Processor for the computation of the van-der-Waals interaction energy of a molecule with its surrounding. This processor uses a 6_12 pair potential for the calculation of dispersion and repulsion energies.

  Energies are computed in units of kJ/mol.

Definition at line 48 of file pair6_12InteractionEnergyProcessor.h.

## Member Enumeration Documentation

## SurfaceType

enum BALL::Pair6_12InteractionEnergyProcessor::SurfaceType

Enumerator
SURFACE__UNKNOWN |
SURFACE__SAS |
SURFACE__SES |
SURFACE__EXTERNAL |

Definition at line 55 of file pair6_12InteractionEnergyProcessor.h.

## Constructor & Destructor Documentation

## Pair6_12InteractionEnergyProcessor() [1/3]

BALL::Pair6_12InteractionEnergyProcessor::Pair6_12InteractionEnergyProcessor | ( |  | ) |

Default constructor

## Pair6_12InteractionEnergyProcessor() [2/3]

BALL::Pair6_12InteractionEnergyProcessor::Pair6_12InteractionEnergyProcessor | ( | const Pair6_12InteractionEnergyProcessor & | proc | ) |

Copy constructor

Parameters

  proc | the processor to copy

## Pair6_12InteractionEnergyProcessor() [3/3]

BALL::Pair6_12InteractionEnergyProcessor::Pair6_12InteractionEnergyProcessor | ( | const SolventDescriptor & | solvent,
|  | const RDFParameter & | rdf_param,
|  | const Pair6_12RDFIntegrator & | rdf_integrator )

Detailed constructor

Parameters

  solvent | a description of the surrounding solvent (

See also
  SolventDescriptor)

Parameters

  rdf_param | the parameters for the radial distribution function (

See also
  RDFParameter)

Parameters

  rdf_integrator | the integrator needed for structural integration (

See also
  Pair6_12RDFIntegrator)

## ~Pair6_12InteractionEnergyProcessor()

virtual BALL::Pair6_12InteractionEnergyProcessor::~Pair6_12InteractionEnergyProcessor | ( |  | ) |

virtual

Destructor

## Member Function Documentation

## clear()

virtual void BALL::Pair6_12InteractionEnergyProcessor::clear | ( |  | ) |

virtual

Clear function

Reimplemented from BALL::EnergyProcessor.

## finish()

virtual bool BALL::Pair6_12InteractionEnergyProcessor::finish | ( |  | ) |

virtual

Exceptions

  BALL::Exception::DivisionByZero |

Reimplemented from BALL::UnaryProcessor< AtomContainer >.

## getRDFIntegrator()

const Pair6_12RDFIntegrator & BALL::Pair6_12InteractionEnergyProcessor::getRDFIntegrator | ( |  | ) | const

Get the integrator of this processor

Returns
  the current integrator

## getRDFParameter()

const RDFParameter & BALL::Pair6_12InteractionEnergyProcessor::getRDFParameter | ( |  | ) | const

Get the parameters for the radial distribution function

Returns
  a const reference of the current RDF parameter

## getSolventDescriptor()

const SolventDescriptor & BALL::Pair6_12InteractionEnergyProcessor::getSolventDescriptor | ( |  | ) | const

Get the solvent descriptor.

Returns
  the current solvent descriptor of this instance

## operator=()

const Pair6_12InteractionEnergyProcessor & BALL::Pair6_12InteractionEnergyProcessor::operator= | ( | const Pair6_12InteractionEnergyProcessor & | proc | ) |

Assignment operator

## operator==()

bool BALL::Pair6_12InteractionEnergyProcessor::operator== | ( | const Pair6_12InteractionEnergyProcessor & | proc | ) | const

Equality operator

## setRDFIntegrator()

void BALL::Pair6_12InteractionEnergyProcessor::setRDFIntegrator | ( | const Pair6_12RDFIntegrator & | integrator | ) |

Set the integrator of this processor

Parameters

  integrator | the integrator to be set

## setRDFParameters()

void BALL::Pair6_12InteractionEnergyProcessor::setRDFParameters | ( | const RDFParameter & | rdf_parameter | ) |

Set the parameters for the radial distribution function

Parameters

  rdf_parameter | the RDF parameter to be set

## setSolventDescriptor()

void BALL::Pair6_12InteractionEnergyProcessor::setSolventDescriptor | ( | const SolventDescriptor & | solvent | ) |

Set the solvent descriptor.

Parameters

  solvent | the solvent descriptor to be set

## Member Data Documentation

## options

Options BALL::Pair6_12InteractionEnergyProcessor::options

Options for the calculation of the caviation free energy

Definition at line 265 of file pair6_12InteractionEnergyProcessor.h.

## rdf_integrator_

Pair6_12RDFIntegrator BALL::Pair6_12InteractionEnergyProcessor::rdf_integrator_

protected

Definition at line 291 of file pair6_12InteractionEnergyProcessor.h.

## rdf_parameter_

RDFParameter BALL::Pair6_12InteractionEnergyProcessor::rdf_parameter_

protected

Definition at line 287 of file pair6_12InteractionEnergyProcessor.h.

## solvent_

SolventDescriptor BALL::Pair6_12InteractionEnergyProcessor::solvent_

protected

Definition at line 283 of file pair6_12InteractionEnergyProcessor.h.